Bug 14240 - Add '(All libraries)' to notice deletion confirmation page
Summary: Add '(All libraries)' to notice deletion confirmation page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Indranil Das Gupta
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-21 01:46 UTC by Indranil Das Gupta
Modified: 2016-06-21 21:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14240 - Add '(All libraries)' to notice deletion form (1.37 KB, patch)
2015-05-21 01:57 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 14240 - Add '(All libraries)' to notice deletion form (1.63 KB, patch)
2015-06-06 01:13 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 14240 - Add '(All libraries)' to notice deletion form (1.70 KB, patch)
2015-06-07 21:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Indranil Das Gupta 2015-05-21 01:46:37 UTC
Notices that are applicable to all libraries do not show '(All libraries)' in the deletion confirmation form (tools/letter.pl?op=delete_confirm). The proposed patch adds that.
Comment 1 Indranil Das Gupta 2015-05-21 01:57:42 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-06-06 01:13:28 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-06-07 21:39:24 UTC
Created attachment 39960 [details] [review]
[PASSED QA] Bug 14240 - Add '(All libraries)' to notice deletion form

Trivial patch that shows (All libraries) instead of an empty cell
for notices that are applicable across all libraries.

Test plan
=========
1) Log in to staff client
2) Tools->Notices & slips
3) Add a dummy notice for all libraries
   -- test code, test description, email - test subject, test content
      Click Submit
4) Click Delete
   -- note that the Library column value is blank.
5) Click the no option
6) Apply this patch
7) Click Delete
   -- note that the Library column value is (All Libraries).
8) run koha qa test tools.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-07-28 13:38:17 UTC
Patch pushed to master.

Thanks Indranil!